package com.jeeplus.modules.sg.financial.erpcredit.entity;

import com.jeeplus.core.persistence.DataEntity;

public class ErpCreditEquipment extends DataEntity<ErpCreditEquipment> {//设备费实体类
    private static final long serialVersionUID = 1L;

    private String eqmMaterialDetails1;//设备物料描述
    private String eqmUnit;//设备单位
    private Double eqmNumbers;//设备台数
    private String eqmTotalCapacity;//设备总容量
    private Double eqmBookedFee1;//设备入账金额
    private String eqmSupplierName;//供应商
    private String eqmMaterialCode;//设备物料编码
    private ErpCredit erpCredit;//父类

    public ErpCreditEquipment(){

    }
    public ErpCreditEquipment(ErpCredit erpCredit) {
        this.erpCredit = erpCredit;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getEqmMaterialDetails1() {
        return eqmMaterialDetails1;
    }

    public void setEqmMaterialDetails1(String eqmMaterialDetails1) {
        this.eqmMaterialDetails1 = eqmMaterialDetails1;
    }

    public String getEqmUnit() {
        return eqmUnit;
    }

    public void setEqmUnit(String eqmUnit) {
        this.eqmUnit = eqmUnit;
    }

    public Double getEqmNumbers() {
        return eqmNumbers;
    }

    public void setEqmNumbers(Double eqmNumbers) {
        this.eqmNumbers = eqmNumbers;
    }

    public String getEqmTotalCapacity() {
        return eqmTotalCapacity;
    }

    public void setEqmTotalCapacity(String eqmTotalCapacity) {
        this.eqmTotalCapacity = eqmTotalCapacity;
    }

    public Double getEqmBookedFee1() {
        return eqmBookedFee1;
    }

    public void setEqmBookedFee1(Double eqmBookedFee1) {
        this.eqmBookedFee1 = eqmBookedFee1;
    }

    public String getEqmSupplierName() {
        return eqmSupplierName;
    }

    public void setEqmSupplierName(String eqmSupplierName) {
        this.eqmSupplierName = eqmSupplierName;
    }

    public String getEqmMaterialCode() {
        return eqmMaterialCode;
    }

    public void setEqmMaterialCode(String eqmMaterialCode) {
        this.eqmMaterialCode = eqmMaterialCode;
    }

    public ErpCredit getErpCredit() {
        return erpCredit;
    }

    public void setErpCredit(ErpCredit erpCredit) {
        this.erpCredit = erpCredit;
    }

}
